﻿var input  = File.ReadAllText("inputs/1_1.txt").TrimEnd('\n');
var sInput = input.Split("\n\n");
var elves  = sInput.Select(s => new Elf(s.Split("\n").Select(int.Parse).ToList()));

Console.WriteLine(elves.MaxBy(elf => elf.Total())!.Total());

internal class Elf {
	private readonly List<int> _calories;
	public int Total() => _calories.Sum();
	public Elf(List<int> calories) => _calories = calories;
}
